Validate a connection schema
curl --request POST \
--url https://api.example.com/v1/management/connections/validate-schema \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"mappedFields": {}
}
'import requests
url = "https://api.example.com/v1/management/connections/validate-schema"
payload = { "mappedFields": {} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({mappedFields: {}})
};
fetch('https://api.example.com/v1/management/connections/validate-schema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"status": "<string>",
"errors": [
{
"dataSourceId": "<string>",
"type": "<string>",
"field": "<string>",
"table": "<string>"
}
]
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Validate a connection schema
Validates mapped datasource, table, and field identifiers before a connection is used.
POST
/
v1
/
management
/
connections
/
validate-schema
Validate a connection schema
Authorizations
JWT bearer token issued by the identity provider.
Body
application/json
Datasource, table, and field mappings to validate.
Maps each datasource configuration name to tables and the fields required from each table.
Show child attributes
Show child attributes
Example:
{
"midaz_onboarding": { "accounts": ["id", "name"] }
}
Response
OK
Human-readable schema validation result.
Example:
"Schema validation completed successfully"
Schema validation outcome.
Example:
"success"
Validation failures, omitted when every requested field is valid.
Show child attributes
Show child attributes
Example:
[
{
"dataSourceId": "midaz_onboarding",
"field": "external_id",
"table": "accounts",
"type": "FIELD_NOT_FOUND"
}
]
Was this page helpful?
⌘I

